CheckBoxSkin (JavaFX 28)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: CheckBoxSkin

# Class CheckBoxSkin

java.lang.Object
javafx.scene.control.SkinBase<CheckBox>
javafx.scene.control.skin.LabeledSkinBase<CheckBox>
javafx.scene.control.skin.CheckBoxSkin

All Implemented Interfaces:
  `Skin<CheckBox>`

public class CheckBoxSkin extends LabeledSkinBase<CheckBox>
Default skin implementation for the tri-state `CheckBox` control.

Since:
  9
See Also:
  - `CheckBox`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckBoxSkin(CheckBox control)`
  Creates a new CheckBoxSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  ### Methods declared in class LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Skin

  `install`

- ## Constructor Details

  - ### CheckBoxSkin

    public CheckBoxSkin(CheckBox control)
    Creates a new CheckBoxSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.